Package com.independentsoft.office.word.headerFooter

# Class FooterReference

java.lang.Object
com.independentsoft.office.word.headerFooter.FooterReference

public class FooterReference extends Object
The Class FooterReference.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FooterReference()`
  Instantiates a new footer reference.
  `FooterReference​(String relationshipID, HeaderFooterType type)`
  Instantiates a new footer reference.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FooterReference`
  `clone()`
  `String`
  `getRelationshipID()`
  Gets the relationship id.
  `HeaderFooterType`
  `getType()`
  Gets the type.
  `void`
  `setRelationshipID​(String relationshipID)`
  Sets the relationship id.
  `void`
  `setType​(HeaderFooterType type)`
  Sets the type.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FooterReference

    public FooterReference()
    Instantiates a new footer reference.

  - ### FooterReference

    public FooterReference​(String relationshipID, HeaderFooterType type)
    Instantiates a new footer reference.
    Parameters:
      `relationshipID` - the relationship id
      `type` - the type

- ## Method Details

  - ### clone

    public FooterReference clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getRelationshipID

    public String getRelationshipID()
    Gets the relationship id.
    Returns:
      the relationship id

  - ### setRelationshipID

    public void setRelationshipID​(String relationshipID)
    Sets the relationship id.
    Parameters:
      `relationshipID` - the new relationship id

  - ### getType

    public HeaderFooterType getType()
    Gets the type.
    Returns:
      the type

  - ### setType

    public void setType​(HeaderFooterType type)
    Sets the type.
    Parameters:
      `type` - the new type